program libusb_finddevice;
uses sysutils, usb;
var
  busses : Pusb_bus;
  bus : Pusb_bus;
  dev : Pusb_device;
begin
  usb_init;
  usb_find_busses;
  usb_find_devices;
  
  busses := usb_get_busses;
  
  bus := busses;
  while assigned(bus) do begin
    dev := bus.devices;
    while assigned(dev) do begin
      writeln('vendor:',inttohex(dev.descriptor.idvendor,4),' product:',inttohex(dev.descriptor.idproduct,4));
      dev := dev.next;
    end;
    bus := bus.next;
  end;
end.